##
##  md5sha1sum.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         md5sha1sum
Summary:      MD5/SHA1/RIPEMD160 File Checksum Utilities
URL:          http://www.microbrew.org/tools/md5sha1sum/
Vendor:       Bulent Yilmaz
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      GPL
Version:      0.9.5
Release:      20080101

#   list of sources
Source0:      http://www.microbrew.org/tools/md5sha1sum/md5sha1sum-%{version}.tar.gz
Patch0:       md5sha1sum.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130
PreReq:       OpenPKG, openpkg >= 20040130
BuildPreReq:  openssl
PreReq:       openssl
AutoReq:      no
AutoReqProv:  no

%description
    This toolset provides the md5sum(1), sha1sum(1) and ripemd160sum(1)
    utilities for generating the MD5/SHA1/RIPEMD160 message digest based
    checksums for files.

%track
    prog md5sha1sum = {
        version   = %{version}
        url       = http://www.microbrew.org/tools/md5sha1sum/
        regex     = md5sha1sum-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} %{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    SSLINCPATH="%{l_prefix}/include" \
    SSLLIBPATH="%{l_prefix}/lib" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        md5sum $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} mkln \
        $RPM_BUILD_ROOT%{l_prefix}/bin/md5sum \
        $RPM_BUILD_ROOT%{l_prefix}/bin/sha1sum
    %{l_shtool} mkln \
        $RPM_BUILD_ROOT%{l_prefix}/bin/md5sum \
        $RPM_BUILD_ROOT%{l_prefix}/bin/ripemd160sum
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

